require "player"
require "enemies"
require "reset"
require "pickup"
require "AnAL"

city = love.graphics.newImage("gfx/city.png")
gravity = 10
debug = false
function love.load()
 -- Load the animation source.
   local img  = love.graphics.newImage("gfx/player4.png")
   local img2  = love.graphics.newImage("gfx/player5.png")
   
   -- Create animation.
   anim = newAnimation(img, 20, 60, 0.2, 0)
   anim2 = newAnimation(img2, 20, 60, 0.2, 0)
end

function love.update(dt)
	anim:update(dt)
	anim2:update(dt)
	player_update(dt)
	enemy_update(dt)
	pickup_update()
end

function love.draw()
	love.graphics.draw(city,0,0)
	player_draw()
	enemy_draw()
	anim:draw(100, 100)
	pickup_draw()
	love.graphics.print(num,100,35)
	love.graphics.print(count,100,50)

end

function CheckCollision(ax1,ay1,aw,ah, bx1,by1,bw,bh)

  local ax2,ay2,bx2,by2 = ax1 + aw, ay1 + ah, bx1 + bw, by1 + bh
  return ax1 < bx2 and ax2 > bx1 and ay1 < by2 and ay2 > by1
end