player = {}
player.x = 1280/2
player.y = -100
player.w = 20
player.h = 40
player.speed = 200
player.d = -1

player.kick = 0
player.kicking = false
player.range = 20

player.grounded = false
player.groundPos = 440
player.jumpForce = 200
player.yvel = 0
player.weight = 20

player.timer = 1
player.hit = false
player.life = 3

player.animateLeft = false
player.animateRight = false

player.maxEnergy = 1
player.energy = 1

player.player1 = love.graphics.newImage("gfx/player1.png")
player.player2 = love.graphics.newImage("gfx/player2.png")
player.player3 = love.graphics.newImage("gfx/player3.png")
player.pic = player.player1

function player_update(dt)
	--blarg
	if(player.life <= -1) then
		reset()
	end
	--energy
	if(love.keyboard.isDown("x")) then
	
	else if(player.energy < player.maxEnergy and player.kicking == false) then
		player.energy = player.energy + 1 * dt
	end
	end
	if(player.energy > player.maxEnergy) then
		player.energy = player.maxEnergy
	end
	if(player.kicking == true) then
		player.energy = player.energy - 1 * dt
	end
	--movement
	player.animateLeft = false
	player.animateRight = false
	if(love.keyboard.isDown("left") and player.x > 0) then
		if(player.kicking == false) then
			player.x = player.x - player.speed * dt
			player.animateLeft = true
			player.animateRight = false
		end
		player.d = -1
	end
	if(love.keyboard.isDown("right") and player.x < 1280 - player.w) then
		if(player.kicking == false) then
			player.x = player.x + player.speed * dt
			player.animateRight = true
			player.animateLeft = false
		end
		player.d = 1
	end
	if(love.keyboard.isDown("x")) then
	
	else if(love.keyboard.isDown("z") and player.grounded == true) then
		player.grounded = false
		player.yvel = -player.jumpForce
	end
	end
	if(player.grounded == false) then
		if(player.kicking == false) then
			player.yvel = player.yvel + gravity * dt * player.weight
		else
			player.yvel = player.yvel + gravity * dt * player.weight * 2
		end
		if(love.keyboard.isDown("x") and player.energy > 0.5 or love.keyboard.isDown("x") and player.energy > 0 and player.kicking == true) then
			if(player.x > 0 and player.x < 1280 - player.w) then
				player.x = player.x + player.speed * 2 * dt * player.d
			end
			player.kick = player.range
			player.kicking = true
			if(player.d == 1) then
				player.pic = player.player2
			else
				player.pic = player.player3
			end
		else
			player.kick = 0
			player.kicking = false
			player.pic = player.player1
		end
		if(player.y + player.h + 20 > player.groundPos ) then
			player.grounded = true
			player.kicking = false
			player.kick = 0
			player.yvel = 0
			player.pic = player.player1
		end
	end
	if(player.grounded == true) then
		player.y = player.groundPos - player.h - 20
		if(player.y + player.h + 20 < player.groundPos) then
			player.grounded = false
		end
	end
	player.y = player.y + player.yvel * dt
	
	--collision
	for i,v in ipairs(es) do
		if CheckCollision(player.x,player.y,20,player.h, v.x,v.y,v.w,v.h) and player.hit == false and v.hit == false then
			player.hit = true
			player.life = player.life - 1
		end
	end
	if(player.hit == true) then
		player.timer = player.timer - 1 * dt
		if(player.timer <= 0) then
			player.timer = 1
			player.hit = false
		end
	end
end

function player_draw()
	if(debug == true) then
		love.graphics.rectangle("fill",player.x,player.y,player.w,player.h)
		love.graphics.setColor(255,0,0)
		love.graphics.rectangle("fill",player.x + player.kick * player.d,player.y + player.h - player.kick/2,20,20)
		love.graphics.setColor(0,0,255)
		love.graphics.rectangle("fill",player.x,player.y,5,5)
		love.graphics.rectangle("fill",player.x,player.y + player.h+ 20,5,-5)
		love.graphics.setColor(255,255,255)
	end
	love.graphics.setColor(0,0,255)
	if(player.animateRight == true) then
		anim:draw(player.x, player.y)
	else if(player.animateLeft == true) then
		anim2:draw(player.x, player.y)
	else if(player.kicking == true and player.d == -1) then
		love.graphics.draw(player.pic,player.x - 20,player.y)
	else
		love.graphics.draw(player.pic,player.x,player.y)
	end
	end
	end
	love.graphics.rectangle("fill",1200,20,-player.energy * 300,20)
	love.graphics.setColor(255,0,0)
	love.graphics.rectangle("fill",1200,50,-player.life * 100,20)
	love.graphics.setColor(255,255,255)
	love.graphics.print(player.life,100,10)
	love.graphics.print(player.timer,100,20)
end